I have Leopard and am working with Quicken 2007. Any know issues with Quicken and Snow Leopard???

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Although there is no such known issues with Quicken 2007 and Snow Leopard, however it has been found that you cannot install Quicken Home and Inventory Manager {QHIM} on Snow Leopard.

    Was this useful? Answer 1

    7 of 7 people found this useful

Related Questions